﻿@import "ark-flex.css";
* {
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html,
body {
  font-family: arial, sans-serif;
  height: 100%;
  padding: 0;
  margin: 0;
}

.validation-summary-errors li {
  list-style-type: none;
  font-size: 0.8em;
  color: red;
  margin-top: 10px;
}

[ark-fieldset] {
  font-family: arial, sans-serif;
  background: #fff;
  border: none;
  border-top: solid 1px black;
  border-left: solid 1px black;
  border-radius: 10px;
  padding: 1rem;
  box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.25);
}
[ark-fieldset] legend {
  margin-bottom: 5px;
}
[ark-fieldset] button {
  background: #95c7ea;
  color: #fefefe;
  margin-top: 0.5rem;
  padding: 0.5rem;
  border: none;
  border-radius: 10px;
  cursor: pointer;
}
[ark-fieldset] button :hover {
  background-color: #68b0e1;
}
[ark-fieldset] input {
  border: none;
  border-bottom: 1px solid #584b4f;
}
[ark-fieldset] input:focus-visible {
  outline: none;
  border-bottom: 1px solid #584b4f;
}

[ark-input] {
  padding: 5px;
}

[ark-input="stretch"] {
  display: block;
  width: 100% !important;
}

/* Button */
[ark-input-button] {
  display: inline-block;
  outline: none;
  cursor: pointer;
  font-size: 18px;
  line-height: 1;
  border-radius: 50px;
  transition-property: background-color, border-color, color, box-shadow, filter;
  transition-duration: 0.3s;
  border: 1px solid transparent;
  white-space: normal;
  font-weight: 100;
  text-align: center;
  padding: 4px;
  color: #fff;
  background-color: #68b0e1;
}

[ark-input-button-big] {
  display: inline-block;
  outline: none;
  cursor: pointer;
  font-size: 18px;
  line-height: 1;
  border-radius: 50px;
  transition-property: background-color, border-color, color, box-shadow, filter;
  transition-duration: 0.3s;
  border: 1px solid transparent;
  letter-spacing: 2px;
  text-transform: uppercase;
  white-space: normal;
  font-weight: 700;
  text-align: center;
  padding: 16px 14px 18px;
  color: #fff;
  background-color: #68b0e1;
  margin: 10px;
}

[ark-input-button]:hover,
[ark-input-button-big]:hover {
  background-color: #95c7ea;
}

/* CheckBox*/
label {
  cursor: pointer;
  overflow: hidden;
  width: fit-content;
}

label input {
  position: absolute;
  left: -9999px;
}

label input:checked + span {
  background-color: #68b0e1;
}

label input:checked + span:before {
  box-shadow: inset 0 0 0 0.4375em #95c7ea;
}

label span {
  display: flex;
  align-items: center;
  padding: 0.375em 0.75em 0.375em 0.375em;
  border-radius: 99em;
  transition: 0.25s ease;
}

label span:hover {
  background-color: #68b0e1;
}

label span:before {
  display: flex;
  flex-shrink: 0;
  content: "";
  background-color: #fff;
  width: 1.5em;
  height: 1.5em;
  border-radius: 50%;
  margin-right: 0.375em;
  transition: 0.25s ease;
  box-shadow: inset 0 0 0 0.125em #68b0e1;
}

.checkbox span:before {
  border-radius: 10% !important;
}

[ark-table] {
  border-collapse: collapse;
}

[ark-table] td,
[ark-table] th {
  border: 1px solid #584b4f;
  padding: 8px;
}

[ark-table] tr:nth-child(even) {
  background-color: #ddd;
}

[ark-table] tr:hover {
  background-color: #ccc9ca;
}

[ark-table] th {
  padding: 12px;
  text-align: left;
  background-color: #95c7ea;
  color: #fff;
}

[ark-input="stretch"] {
  display: block;
  width: 100% !important;
}
